Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.liquids
Class LiquidEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.liquids.LiquidEvent

Direct Known Subclasses:
  LiquidEvent.LiquidDrainingEvent, LiquidEvent.LiquidFillingEvent, LiquidEvent.LiquidMotionEvent, LiquidEvent.LiquidSpilledEvent

    public class LiquidEvent

extends Event

Nested Class Summary
`static class` | `LiquidEvent.LiquidDrainingEvent` Mods should fire this event when a liquid is `ILiquidTank.drain(int, boolean)` from their tank.
`static class` | `LiquidEvent.LiquidFillingEvent` Mods should fire this event when a liquid is `ILiquidTank.fill(LiquidStack, boolean)` their tank implementation.
`static class` | `LiquidEvent.LiquidMotionEvent` Mods should fire this event when they move liquids around (pipe networks etc)
`static class` | `LiquidEvent.LiquidSpilledEvent` Mods should fire this event when a liquid "spills", for example, if a block containing liquid is broken.

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`LiquidStack` | `liquid`
`World` | `world`
`int` | `x`
`int` | `y`
`int` | `z`

Constructor Summary
`LiquidEvent(LiquidStack liquid, World world, int x, int y, int z)`

Method Summary
`static void` | `fireEvent(LiquidEvent event)` A handy shortcut for firing the various liquid events

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### liquid

    public final LiquidStack liquid

### x

    public final int x

### y

    public final int y

### z

    public final int z

### world

    public final World world

Constructor Detail

### LiquidEvent

    public LiquidEvent(LiquidStack liquid,
                       World world,
                       int x,
                       int y,
                       int z)

Method Detail

### fireEvent

    public static final void fireEvent(LiquidEvent event)

  A handy shortcut for firing the various liquid events

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD